GUIX(1)

NAME
guix - manual page for guix refresh (GNU Guix) 1.0.0

SYNOPSIS
guix refresh [OPTION]... [PACKAGE]...

DESCRIPTION
Update package definitions to match the latest upstream version.

When PACKAGE... is given, update only the specified packages. Otherwise update all the packages of the distribution, or the subset thereof specified with `--select'.

-e, --expression=EXPR
    consider the package EXPR evaluates to

-u, --update
    update source files in place

-s, --select=SUBSET
    select all the packages in SUBSET, one of `core' or `non-core'

-m, --manifest=FILE
    select all the packages from the manifest in FILE

-t, --type=UPDATER,... restrict to updates from the specified updaters
    (e.g., 'gnu')

-L, --list-updaters
    list available updaters and exit

-l, --list-dependent
    list top-level dependent packages that would need to be rebuilt as a result of upgrading PACKAGE...

-r, --recursive
    check the PACKAGE and its inputs for upgrades

--list-transitive
    list all the packages that PACKAGE depends on

--keyring=FILE
    use FILE as the keyring of upstream OpenPGP keys

--key-server=HOST
    use HOST as the OpenPGP key server

--gpg=COMMAND
    use COMMAND as the GnuPG 2.x command

--key-download=POLICY
    handle missing OpenPGP keys according to POLICY: 'always', 'never', and 'interactive', which is also used when 'key-download' is not specified

-h, --help
    display this help and exit

-V, --version
    display version information and exit

REPORTING BUGS
Report bugs to: bug-guix@gnu.org.
GNU Guix home page: <https://www.gnu.org/software/guix/>
General help using GNU software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2019 the Guix authors License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for guix is maintained as a Texinfo manual. If the info and guix programs are properly installed at your site, the command

    info guix

should give you access to the complete manual.